דילוג לתוכן

Headshot Generator

שילוב

מזהה מודל image-apps-v2/headshot-photo
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/image-apps-v2/headshot-photo?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

בקשה זו: ⁨‏0.04 ‏$⁩ 40 קרדיטי API · ≈ ⁨‏4.30 ‏₽⁩ הרצה בדף הזה

קבלת מפתח API
Utility · תמונה

התוצאה הראשונה שלך תופיע כאן

בנו בקשה למטה והריצו אותה עם מפתח ה־API שלכם. הפלטים מועתקים לאחסון שלנו ונשמרים לצמיתות או למשך 7 ימים ללא תשלום.

בנה בקשה

הפקדים נוצרים מסכמת המודל. הקוד והמחיר מתעדכנים כשמשנים אותם.

•חובה image_url
גרור קובץ, או

URL של הדיוקן שיש להפוך לתמונת תדמית מקצועית.

יחס הגובה-רוחב של הפלט ב-4K; ברירת המחדל לדיוקנאות היא 3:4.

מתקדם background_style
background_style ברירת מחדל professional
POST /run/image-apps-v2/headshot-photo?wait=20 הצעת מחיר → ⁨‏0.04 ‏$⁩
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/image-apps-v2/headshot-photo?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

הרצת הבקשה הזו

המפתח שלך נשאר בדפדפן הזה: הוא נשלח רק אל Doitong API ונשמר ב-localStorage רק אם מסמנים זכור. קבל מפתח API

מידע על Headshot Generator

ממיר דיוקן שסופק כ־`image_url` לתמונה בסגנון תמונת תדמית. `background_style` יכול להיות professional (ברירת המחדל), corporate, clean או gradient. `aspect_ratio` אופציונלי מגדיר את המסגור, כאשר ברירת המחדל היא כיוון דיוקן. מתאים לתמונות פרופיל ולעמודי צוות.

פרמטרים

שלח את השם הקנוני או את השם המקומי, לא את שניהם. שמות קנוניים

שםסוג ברירת מחדלמותר תיאור
image_urlחובה image
סוגurl · image
URL של הדיוקן שיש להפוך לתמונת תדמית מקצועית.
background_styleאופציונלי
סוגenum
ברירת מחדלprofessional
professionalcorporatecleangradient
aspect_ratioאופציונלי
סוגobject
יחס הגובה-רוחב של הפלט ב-4K; ברירת המחדל לדיוקנאות היא 3:4.
aspect_ratio.ratioאופציונלי
סוגenum
ברירת מחדל1:1
1:116:99:164:33:4
יחס הגובה-רוחב של הפלט ברזולוציית 4K.
חובה שם קנוני, מתקבל גם הוא

פרמטרים של קבצים מקבלים URL ציבורי מסוג https://, כתובת URI מסוג data: בגודל של עד 10 MB, או את file_url של העלאה. קבצים

פלט

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "image-apps-v2/headshot-photo",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
הקבצים שלכם, הבחירה שלכםכל outputs[].url הוא עותק באחסון שלנו: נשמר לצמיתות (בתשלום לפי GB-חודש) או למשך 7 ימים ללא תשלום, בהתאם להגדרת החשבון או ל־?storage=.
אותו מבנה בכל מודלtype, url, content_type, width, height ו-duration, עבור תמונות, וידאו ואודיו כאחד. output הוא אובייקט התוצאה של המודל עצמו.
שדות הפלט
images
array of object {url, content_type, file_name, file_size, width, height}תמונה של תמונת התדמית המקצועית שהתקבלה.

מודלים נוספים: עריכת תמונה

לסוכני AI: דף זה בפורמט Markdown נמצא בכתובת https://doitong.com/he/developers/models/image-apps-v2/headshot-photo.md. כל המודלים והמדריכים: https://doitong.com/developers/llms.txt